Skip to content

Bank Account Details

Bank account details allow users to receive money into their Wise Multi-Currency Account. Each currency balance can have local bank details (for domestic payments) and international bank details (for SWIFT payments) where available.

Bank account details can be retrieved for existing balances, or new details can be ordered for currencies where they're available but not yet issued.

Create multiple bank account details

Request

Creates and assigns a pair of local account details and international account details (where available) that are linked to the target balance specified in the request.

Please reach out to our Support Team for access to this endpoint.

Security
UserToken
Path
profileIdinteger, (int64)required

The ID of the profile to create bank account details for.

Example:12345678
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
targetAccountIdinteger, (int64)required

ID of the currency balance to create account details on.

Example:123456
curl -i -X POST \
  https://api.wise.com/2026Q4/profiles/12345678/bank-details \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "targetAccountId": 123456
  }'

Responses

Bank account details created.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idstring

Account detail ID.

Example:"2"
currencystring

Account detail currency (ISO 4217 Alphabetic Code).

Example:"GBP"
activeboolean

Status of the account detail.

Example:true
localDetailsobject

Local bank account details.

internationalDetailsobject or null

International bank account details. Only returned if SWIFT payments are supported for that currency.

Response
{ "id": "2", "currency": "GBP", "active": true, "localDetails": { "bankName": "Wise", "bankAddress": "TEA BUILDING, FLOOR 6, SHOREDITCH HIGH STREET", "sortCode": "231370", "accountNumber": "00000001", "type": "UK_ACCOUNT" }, "internationalDetails": { "bankName": "Wise", "bankAddress": "TEA BUILDING, FLOOR 6, SHOREDITCH HIGH STREET", "swiftCode": "TRWIGB22XXX", "iban": "GB123450000000001", "type": "IBAN" } }